### Method

# WebKit2 WebContext set_process_model

#### Declaration [src]

    void
    webkit_web_context_set_process_model (
      WebKitWebContext* context,
      WebKitProcessModel process_model
    )

#### Description [src]

Specifies a process model for WebViews.

Specifies a process model for WebViews, which WebKit will use to determine how auxiliary processes are handled.

`WEBKIT_PROCESS_MODEL_MULTIPLE_SECONDARY_PROCESSES` will use one process per view most of the time, while still allowing for web views to share a process when needed (for example when different views interact with each other). Using this model, when a process hangs or crashes, only the WebViews using it stop working, while the rest of the WebViews in the application will still function normally.

`WEBKIT_PROCESS_MODEL_SHARED_SECONDARY_PROCESS` is deprecated since 2.26, using it has no effect for security reasons.

This method must be called before any web process has been created, as early as possible in your application. Calling it later will make your application crash.

Available since: | 2.4

#### Parameters

`process_model` | `WebKitProcessModel`
| A `WebKitProcessModel`.